return {
    {
        "luukvbaal/statuscol.nvim",
        config = function()
            local builtin = require("statuscol.builtin")
            require("statuscol").setup({
                ft_ignore = {
                    "neo-tree",
                    "toggleterm",
                    "dashboard",
                    "aerial",
                },
                segments = {
                    -- diagnostic signs
                    {
                        sign = {
                            name = { "Diagnostic" },
                            colwidth = 2,
                            maxwidth = 1,
                            condition = { true }
                        },
                        click = "v:lua.ScSa"
                    },
                    -- line numbers
                    {
                        text = { builtin.lnumfunc, " " },
                        click = "v:lua.ScLa",
                    },
                    -- folds
                    {
                        text = { builtin.foldfunc },
                        click = "v:lua.ScFa"
                    },
                    -- git signs
                    {
                        sign = { namespace = { "gitsigns" } },
                        click = "v:lua.ScSa"
                    }
                }
            })
        end,
    }
}
